## org.apache.poi.hdgf.streams
Class ChunkStream

    java.lang.Object
      org.apache.poi.hdgf.streams.Stream
          org.apache.poi.hdgf.streams.ChunkStream

    public final class ChunkStream

extends Stream

Constructor Summary
`protected` `ChunkStream(Pointer pointer, StreamStore store, ChunkFactory chunkFactory)`

Method Summary
`void` `findChunks()` Process the contents of the stream out into chunks
`Chunk[]` `getChunks()`

Methods inherited from class org.apache.poi.hdgf.streams.Stream
`_getContentsLength, _getStore, createStream, getPointer, getStore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChunkStream

    protected ChunkStream(Pointer pointer,
                          StreamStore store,
                          ChunkFactory chunkFactory)

Method Detail

### getChunks

    public Chunk[] getChunks()

### findChunks

    public void findChunks()

  Process the contents of the stream out into chunks

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.